--- old/usr/src/uts/common/fs/autofs/auto_vfsops.c	sam. juil. 16 15:13:58 2016
+++ new/usr/src/uts/common/fs/autofs/auto_vfsops.c	sam. juil. 16 15:13:58 2016
@@ -101,12 +101,13 @@
 
 static struct modlinkage modlinkage = {
 	MODREV_1,
-	&modlfs,
-	&modlsys,
+	{   &modlfs,
+	    &modlsys,
 #ifdef	_SYSCALL32_IMPL
-	&modlsys32,
+	    &modlsys32,
 #endif
-	NULL
+	    NULL
+	}
 };
 
 /*
@@ -247,11 +248,11 @@
 autofs_init(int fstype, char *name)
 {
 	static const fs_operation_def_t auto_vfsops_template[] = {
-		VFSNAME_MOUNT,		{ .vfs_mount = auto_mount },
-		VFSNAME_UNMOUNT,	{ .vfs_unmount = auto_unmount },
-		VFSNAME_ROOT,		{ .vfs_root = auto_root },
-		VFSNAME_STATVFS,	{ .vfs_statvfs = auto_statvfs },
-		NULL,			NULL
+		{ VFSNAME_MOUNT,	{ .vfs_mount = auto_mount } },
+		{ VFSNAME_UNMOUNT,	{ .vfs_unmount = auto_unmount } },
+		{ VFSNAME_ROOT,		{ .vfs_root = auto_root } },
+		{ VFSNAME_STATVFS,	{ .vfs_statvfs = auto_statvfs } },
+		{ NULL,			{ NULL } }
 	};
 	int error;
 
